### Struct

# WebKit ITPFirstParty

#### Description [src]

    struct WebKitITPFirstParty {
      /* No available fields */
    }

Describes a first party origin.

Available since: | 2.30

#### Instance methods

###### webkit_itp_first_party_get_domain

Get the domain name of `itp_first_party`.

Available since: 2.30

###### webkit_itp_first_party_get_last_update_time

Get the last time a `WebKitITPThirdParty` has been seen under `itp_first_party`.

Available since: 2.30

###### webkit_itp_first_party_get_website_data_access_allowed

Get whether `itp_first_party` has granted website data access to its `WebKitITPThirdParty`.

Available since: 2.30

###### webkit_itp_first_party_ref

Atomically increments the reference count of `itp_first_party` by one.

Available since: 2.30

###### webkit_itp_first_party_unref

Atomically decrements the reference count of `itp_first_party` by one.

Available since: 2.30